%global bundle org.apache.felix.ipojo.manipulator
%define with_mockito 1
Name:          felix-ipojo-manipulator
Version:       1.8.2
Release:       %mkrel 4
Summary:       Apache Felix iPOJO Manipulator
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/%{bundle}-1.8.2-project.tar.gz

# change org.codehaus.mojo in org.apache.rat
Patch0:        felix-ipojo-manipulator-1.8.2-pom.patch

Patch1:        felix-ipojo-manipulator-1.8.2-no_mockito.patch

BuildRequires: felix-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: felix-ipojo-annotations
BuildRequires: felix-ipojo-metadata

BuildRequires: apache-rat-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin 
BuildRequires: maven-jar-plugin 
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-shared-osgi
BuildRequires: maven-surefire-provider-junit4
%if %with_mockito
BuildRequires: mockito
%endif
BuildRequires: objectweb-asm

Requires:      felix-ipojo-annotations
Requires:      felix-ipojo-metadata
Requires:      objectweb-asm

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
iPOJO bytecode manipulator. This manipulator is used to instrument java classes in order to be managed by iPOJO.

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

#--------------------------------------------------------------------

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p0
%if !%with_mockito
%patch1 -p0
%endif

%build

mvn-rpmbuild -e \
%if !%with_mockito
  -Dmaven.test.skip=true \
%endif
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/



%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.8.2-4.mga4
+ Revision: 504415
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.8.2-2.mga3
+ Revision: 350138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 07 2012 gil <gil> 1.8.2-1.mga2
+ Revision: 192805
- imported package felix-ipojo-manipulator

